<?PHP /* /mod/semacode/index.php (c)2007, Andreas Forstinger, www.mobilemoodle.org */

/// This page lists all the instances of semacode in a particular course

    require_once('../../config.php');
    require_once('lib.php');

    $id = required_param('id', PARAM_INT);   // course

    if (! $course = get_record('course', 'id', $id)) {
        error('Course ID is incorrect');
    }

    require_login($course->id);

    add_to_log($course->id, 'semacode', 'view all', "index.php?id=$course->id", '');


/// Get all required strings

    $strsemacodes = get_string("modulenameplural", "semacode");
    $strsemacode  = get_string("modulename", "semacode");

/// Print the header

    if ($course->category) {
        $navigation = "<a href=\"../../course/view.php?id=$course->id\">$course->shortname</a> ->";
    }

    print_header("$course->shortname: $strsemacodes", "$course->fullname", "$navigation $strsemacodes", "", "", true, "", navmenu($course));

/// Get all the appropriate data

    if (! $semacodes = get_all_instances_in_course('semacode', $course)) {
        notice('There are no semacodes', "../../course/view.php?id=$course->id");
        die;
    }

/// Print the list of instances (your module will probably extend this)

    $timenow = time();
    $strname  = get_string('name');
    $strweek  = get_string('week');
    $strtopic  = get_string('topic');
    $strurl = get_string('url','semacode');

    if ($course->format == 'weeks') {
        $table->head  = array ($strweek, $strname, $strurl);
        $table->align = array ('center', 'center','center');
    } else if ($course->format == 'topics') {
        $table->head  = array ($strtopic, $strname,$strurl);
        $table->align = array ('center', 'center', 'center');
    } else {
        $table->head  = array ($strname, $strurl);
        $table->align = array ('center', 'center');
    }

    foreach ($semacodes as $semacode) {
        if (!$semacode->visible) {
            //Show dimmed if the mod is hidden
            $link = "<a class=\"dimmed\" href=\"view.php?t=$semacode->id\">$semacode->name</a>";
            $taglink = "<a class=\"dimmed\" href=\"$semacode->url\">$semacode->url</a>";
        } else {
            //Show normal if the mod is visible
            $link = "<a href=\"view.php?t=$semacode->id\">$semacode->name</a>";
            $taglink = "<a href=\"$semacode->url\">$semacode->url</a>";
        }

        if ($course->format == 'weeks' or $course->format == 'topics') {
            $table->data[] = array ($semacode->section, $link, $taglink);
        } else {
            $table->data[] = array ($link,$taglink);
        }
    }

    echo "<br />";

    print_table($table);

/// Finish the page

    print_footer($course);

?>
