<?php /* /momo/lib/lib_push.php (c)2008, Andreas Forstinger, www.mobilemoodle.org */

/**
 * This function sends a "new message" notification to the given user
 * Depending on configuration setting $CFG->momo_public_msg_enabled either
 * the remote interface or local methods (using direct db access) are used
 * to communicate with the MLE messaging server
 */
function momo_sendNewMessageNotification($userid, $newmsg = false)
{
	global $CFG;
	if(!empty($CFG->momo_public_msg_enabled)){
		// use remote interface method
		include_once('lib_msg_public.php');
		// get username
		if (!$username = get_field('user', 'username', 'id', $userid)) {
	        return false;
	    }
	    // check if this user is connected
	    if (!$recipient = msgInterfaceGetClientIDForUsername($username)) {
	        return false;
	    }	    
	    else{
	        // get the number of messages waiting for this user
	        $messages = count_records('message', 'useridto', $userid);
	        if (!empty ($messages)) {
	        	msgInterfaceSendTextMsg($newmsg?"msgnew":"msg",$messages,$recipient["username"], $recipient["password"]);
	        }
	    }
		
	}
	else{
		// use local method
		include_once('lib_msg_local.php');
		momo_msg_push_message_notice($userid,$newmsg);
	}
}


/**
 * This function gets the currently online mobile users
 * Depending on configuration setting $CFG->momo_public_msg_enabled either
 * the remote interface or local methods (using direct db access) are used
 * to communicate with the MLE messaging server
 */
function momo_getOnlineUsers()
{
	global $CFG;
	
	$users = array();
	
	if(!empty($CFG->momo_public_msg_enabled)){
		// use remote interface method
		include_once('lib_msg_public.php');
		$users = msgInterfaceGetOnlineClients();
	}
	else{
		// use local method
		include_once('lib_msg_local.php');
		$users = momo_msg_get_online_users();
	}
	
	// print_r($users);
	return $users;
}

?>