<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER,$COURSE;
require_once ($CFG->dirroot . '/message/lib.php'); // messaging support


// get parameters
$action = optional_param('action', null,PARAM_ALPHA); // action can either be add, remove, block, unblock
$id = optional_param('id', null,PARAM_INTEGER); // id of contact

$message = null;

if (!empty ($action)) { // take requested action on user

   switch ($action) {
      case "add" :
         {
            message_add_contact($id, 0);
            add_to_log(SITEID, 'message', 'add contact', '', $id, 0, $USER->id);
            momo_print_success(momo_get_string('msg_contact_added'),"msg/contact.php&amp;id=$id", $CFG->momo_mle_server_link);
            break;
         }
      case "remove" :
         {
            message_remove_contact($id);
            add_to_log(SITEID, 'message', 'remove contact', '', $id, 0, $USER->id);
            momo_print_success(momo_get_string('msg_contact_removed'),"msg/contact.php&amp;id=$id", $CFG->momo_mle_server_link);
            break;
         }
      case "block" :
         {
            message_block_contact($id);
            add_to_log(SITEID, 'message', 'block contact', '', $id, 0, $USER->id);
            momo_print_success(momo_get_string('msg_contact_blocked'),"msg/contact.php&amp;id=$id", $CFG->momo_mle_server_link);
            break;
         }
      case "unblock" :
         {
            message_unblock_contact($id);
            add_to_log(SITEID, 'message', 'unblock contact', '', $id, 0, $USER->id);
            momo_print_success(momo_get_string('msg_contact_unblocked'),"msg/contact.php&amp;id=$id", $CFG->momo_mle_server_link);
            break;
         }
   }
}

// get user object
if(!$user = get_record('user', 'id', $id)){
     momo_print_error('error_parameter');
}

// get contact object
$contact = get_record_select('message_contacts',"userid = '$USER->id' and contactid = '$user->id'");

// add log message (needed for statistics)
add_to_log($COURSE->id, 'user', 'view', "view.php?id=$user->id&course=$COURSE->id", "$user->id");


?>
<ps t="<?php momo_print_string('hd_contact',$user) ?>" s="false" bo="true" back="<?php echo(momo_get_back_url($COURSE->id))?>">

<pa id="i">
<?php momo_print_header(momo_get_string('hd_contact',$user), 'contact') ?>
<font class="h2"/><br align="center"/>
<?php
    // split long names
    if(strlen($full = ($user->firstname . ' ' . $user->lastname))>25){
        echo($user->firstname . '<br/>' . $user->lastname);
    }else{
        echo($full);
    } ?>
<font class="std"/><br/>
<?php
   if(!empty($user->picture)){ // if user has profile picture request it
    echo(momo_print_user_picture($user->id,true));
   }
    else {
        momo_print_notice(momo_get_string('lbl_contact_no_picture'));
    } ?>
<br align="left"/><hr/>
<menu type="i" url="d" di="<?php momo_print_icon_path('info')?>" dt="l" word="<?php momo_print_string('lbl_contact_details') ?>" />
<?php // show link to blog
if(true){ ?>
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="blog/blog.php&amp;user=<?php echo($user->id);?>" dt="l" di="<?php momo_print_icon_path('blog')?>" word="<?php momo_print_string('hd_blog') ?>" />
<?php } ?>
<menu type="i" url="c" di="<?php momo_print_icon_path('msg_new') ?>" dt="l" word="<?php momo_print_string('lbl_contact_contact') ?>" />
<?php if($contact!=false){ // user is already on contactlist
      if($contact->blocked==0){ // user not blocked ?>
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/contact.php&amp;id=<?php echo($user->id)?>&amp;action=block" dt="l" di="<?php momo_print_icon_path('con_block') ?>" word="<?php momo_print_string('lbl_contact_block') ?>" />
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/contact.php&amp;id=<?php echo($user->id)?>&amp;action=remove" dt="l" di="<?php momo_print_icon_path('con_remove') ?>" word="<?php momo_print_string('lbl_contact_remove') ?>" />
<?php }
   else{ // user is blocked ?>
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/contact.php&amp;id=<?php echo($user->id)?>&amp;action=add" dt="l" di="<?php momo_print_icon_path('con_add') ?>" word="<?php momo_print_string('lbl_contact_add') ?>" />
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/contact.php&amp;id=<?php echo($user->id)?>&amp;action=unblock" dt="l" di="<?php momo_print_icon_path('con_unblock') ?>" word="<?php momo_print_string('lbl_contact_unblock') ?>" />
<?php }
   }
   else { // user is not on contactlist ?>
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/contact.php&amp;id=<?php echo($user->id)?>&amp;action=add" dt="l" di="<?php momo_print_icon_path('con_add') ?>" word="<?php momo_print_string('lbl_contact_add') ?>" />
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/contact.php&amp;id=<?php echo($user->id)?>&amp;action=block" dt="l" di="<?php momo_print_icon_path('con_block') ?>" word="<?php momo_print_string('lbl_contact_block') ?>" />
<?php } ?>
</page>

<page id="d">
<image type="l" url="<?php momo_print_icon_path('contact')?>"><font class="h1"/> <?php momo_print_string('lbl_contact_details') ?><font class="std"/>
<br/><hr/>
<font class="h3"/><?php momo_print_string('lbl_user_username') ?><br/>
<font class="std"/><?php p($user->username)?><br/>
<font class="h3"/><?php momo_print_string('lbl_user_firstname') ?><br/>
<font class="std"/><?php p($user->firstname)?><br/>
<font class="h3"/><?php momo_print_string('lbl_user_lastname') ?><br/>
<font class="std"/><?php p($user->lastname)?><br/>
<?php if(!empty($user->institution)){ // user has set up an institution ?>
<font class="h3"/><?php momo_print_string('lbl_user_institution') ?><br/>
<font class="std"/><?php p($user->institution)?><br/>
<?php }
    else if(!empty($user->department)){ // user has specified a department ?>
<font class="h3"/><?php momo_print_string('lbl_user_department') ?><br/>
<font class="std"/><?php p($user->department)?><br/>
<?php } ?>
<font class="h3"/><?php momo_print_string('lbl_user_city') ?><br/>
<font class="std"/><?php p($user->city . ' (' . $user->country . ')')?><br/>
<font class="h3"/><?php momo_print_string('lbl_user_country') ?><br/>
<font class="std"/><?php p($user->country)?><br/>
<font class="h3"/><?php momo_print_string('lbl_user_description') ?><br/>
<font class="std"/><?php p($user->description)?><br/>
<?php if(!empty($user->url)){ // if user has set a website?>
<font class="h3"/><?php momo_print_string('lbl_user_www') ?><br/>
<font class="std"/><link type="p" url="<?php echo($user->url) ?>" dt="l" di="<?php momo_print_icon_path('internet')?>"> <?php echo($user->url)?><br/>
<?php } ?>
<back type="i" url="i"/>
</pa>

<pa id="c">
<?php momo_print_header(momo_get_string('lbl_contact_contact'), 'msg_new') ?>
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/message_new.php&amp;rcpt=<?php echo($user->id)?>" dt="l" di="<?php momo_print_icon_path('msg_new')?>" word="<?php momo_print_string('lbl_contact_message') ?>" />
<?php if(!empty($user->phone1)){ // primary phone number set ?>
<menu type="p" url="tel:<?php echo($user->phone1)?>" dt="l" di="<?php momo_print_icon_path('phone')?>" word="<?php momo_print_string('lbl_contact_call_primary') ?>" />
<?php }
   else if(!empty($user->phone2)){ // secondary phone number set ?>
<menu type="p" url="tel:<?php echo($user->phone1)?>" dt="l" di="<?php momo_print_icon_path('phone')?>" word="<?php momo_print_string('lbl_contact_call_secondary') ?>" />
<?php }
    else if(!empty($user->maildisplay)){ // user published his mail address (0=nobody,1=everybody,2=participants) ?>
<menu type="p" url="mailto:<?php echo($user->email) ?>" dt="l" di="<?php momo_print_icon_path('msg_message')?>" word="<?php momo_print_string('lbl_contact_mail') ?>" />
<?php }
     else if(!empty($user->url)){ // if user has set a website?>
<menu type="p" url="<?php echo($user->url) ?>" dt="l" di="<?php momo_print_icon_path('internet')?>" word="<?php momo_print_string('lbl_contact_url') ?>" />
<?php } ?>
<back type="i" url="i"/>
</pa>
</ps>