<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
// this page dynamically redirects the user to the given activity if it is supported by MOMO
global $CFG, $USER;

momo_require_login();

// get waiting events
if(!$events = get_records_sql("SELECT r.id, e.course, e.name, e.message, e.activity, e.timecreated, e.targetcm, " .
                                "c.firstname, c.lastname " .
                                    "FROM {$CFG->prefix}block_live_session_event e, " .
                                    "{$CFG->prefix}block_live_session_event_recipient r, " .
                                    "{$CFG->prefix}user c " .
                                "WHERE r.user = $USER->id " .
                                    "AND e.id = r.id " .
                                    "AND c.id = e.creator " .
                                    "AND r.received = 0")){
   $events = array();
}

$printoverview = true;
if(count($events) == 1){
    $printoverview = false;
}

/// output
?>
<pagesuite titel="<?php momo_print_string('hd_live')?>" storeable="false" bookmarkable="true">
<?php // if more than one event, print overview
    if($printoverview){
?>
<page id="o" >
<?php momo_print_header(momo_get_string('hd_live'),'crs_activity') ?>
<?php if (empty($events)){
    momo_print_notice(get_string('noevents','block_live_session'));
    }
 // print link for each event
    else{
    foreach($events as $event){
?>
<link type="i" url="<?php echo('e'.$event->id)?>" dt="l" display="<?php momo_print_icon_path('crs_activity') ?>"> <?php echo(momo_truncate($event->name))?><br/>
<?php } }?>
<back type="y" url="index.xml"/>
</page>
<?php }
    if(!empty($events)){
    // print detail page for every event
    foreach($events as $event){

        // mark the event as received
        $dbentry = get_record('block_live_session_event_recipient','id',$event->id);
        $dbentry->received = time();
        update_record('block_live_session_event_recipient',$dbentry);

?>
<page id="<?php echo('e'.$event->id)?>" >
<?php momo_print_header($event->name,'crs_activity') ?>
<font class="h3"/><?php print_string('event_name', 'block_live_session')?><br/>
<font class="std"/><?php p($event->name)?><br/>
<font class="h3"/><?php print_string('event_message', 'block_live_session')?><br/>
<font class="std"/><?php momo_print_converted_text($event->message)?><br/>
<font class="h3"/><?php print_string('creator', 'block_live_session')?><br/>
<font class="std"/><?php p($event->firstname . ' ' . $event->lastname)?><br/>

<?php // check if an activity is contained
    if(!empty($event->activity)){
    // print link to activity
?>
<font class="h3"/><?php print_string('activity', 'block_live_session')?><br/>
<?php
    $cm = get_record('course_modules', 'id', $event->targetcm);
    $modulename = get_field('modules', 'name', 'id', $cm->module);
        // print link to activity, ignore visibility
        if(!$link = momo_get_activity_link($modulename, $cm->id,true)){
?>
<image type="l" url="<?php momo_print_icon_path('info') ?>"/> <?php momo_print_string('msg_forward_not_supported_hint') ?>
<?php        }
        else{
            echo($link);
        }
    }
    // print back button
    if($printoverview){
?>
<back type="i" url="o"/>
<?php
    }
    else{
?>
<back type="y" url="index.xml"/>
<?php } // at last print indicator to remove link?>
<momo:live />
</page>
<?php }
    } // end detail pages ?>
</pagesuite>